Bug 125201 - Windows Network Folder Problem with Win2k
Windows Network Folder Problem with Win2k
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 11:51 EDT by George Salt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 10:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Salt 2004-06-03 11:51:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I'm running fedora core 2 with samba 3.0.3-5 installed.  The computer
is connected to a lan with two Win98SE and one Win2k (service pack 4)
machines.

From the gnome desktop, when I click Computer->Network->Windows
Network I see an icon for the Windows workgroup.  When I click that
icon it opens a window with icons for all of the machines in the
workgroup.

When I click on an icon for either of the Win98SE machines, I can see
the shares on those machines.

When I click on the icon for the Win2k machine, a window opens that says:

    "Error Displaying Folder.  The folder contents could not be
displayed.  You do not have the permissions necessary to view the
contents of "Windows Network xxx""

This occurs when I am logged in as root as well as a user.

As root, I cannot change the permissions for this folder.

I do not believe this is a windows permissions problem, since I can
mount the remote share with smbmount.  Once mounted, I can view the
remote share with nautilus.


Version-Release number of selected component (if applicable):
gnome-desktop 2.6.0.1 release 1

How reproducible:
Always

Steps to Reproduce:
1.Click Computers->Network->Windows Network->Workgroup Name
2.Click on icon for Win2k machine
3.
    

Actual Results:  Error window described above

Expected Results:  If there is a MS Windows permission problem then I
would expect gnome to prompt me for username and password, or tell me
"access denied"

Additional info:
Comment 1 David Bentley 2004-06-12 17:58:15 EDT
123899 and 125336 describe the same problem.
Comment 2 Carl Becker 2004-06-20 08:38:04 EDT
What does work is trying to connect to the share directly i.e typing
in smb://server/share This allows me to acces the files on the share.

What does not work and results in the above mentioned error code is
smb://server i.e browsing all available shares on the W2k machine is
not possible.
"Error Displaying Folder.  The folder contents could not be
displayed.  You do not have the permissions necessary to view the
contents of "Windows Network xxx""
is the result.
Comment 3 P.L. 2004-06-22 07:02:22 EDT
The same problem: 'smbclient //<machine>/<directory' works OK, but
using NAUTILUS (in KDE, not in GNOME) givs the error message "Error
Displaying Folder.  The folder contents could not be..." etc.
Only on FC2, not on FC1. No matter W2k nor W98.
Comment 4 Matthew Lenz 2004-09-28 14:36:36 EDT
I'm still seeing this problem in FC3 test 2.

gnome-vfs2-smb-2.8.1-2
gnome-vfs2-2.8.1-2
nautilus-2.8.0-1
samba-common-3.0.7-3
samba-client-3.0.7-3
Comment 5 Matthew Miller 2005-04-26 11:17:30 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 John Thacker 2006-06-01 10:30:23 EDT
Closing due to lack of response.  There have been a lot of changes in
gnome-vfs2-smb since 2.8.x.  Please retest.  If this problem still occurs,
please reopen the bug and offer more information.

Note You need to log in before you can comment on or make changes to this bug.